> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payments for a specific agent



## OpenAPI

````yaml /api-reference/openapi.json get /v1/agents/{agentId}/payments
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/agents/{agentId}/payments:
    get:
      tags:
        - Agents
      summary: List payments for a specific agent
      parameters:
        - name: agentId
          in: path
          required: true
          schema:
            type: string
        - name: agentWalletId
          in: query
          required: false
          schema:
            type: string
          description: Filter by agent wallet ID
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - PENDING
              - POLICY_DENIED
              - APPROVED
              - SUBMITTED
              - EXECUTED
              - FAILED
          description: Filter by transaction status
        - name: from
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: DESC
      responses:
        '200':
          description: List of transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                          format: uuid
                        agentId:
                          type: string
                          format: uuid
                        agentWalletId:
                          type: string
                          format: uuid
                        kind:
                          type: string
                          enum:
                            - TRANSFER
                            - SWAP
                            - CHECKOUT
                        status:
                          type: string
                          enum:
                            - PENDING
                            - POLICY_DENIED
                            - APPROVED
                            - SUBMITTED
                            - EXECUTED
                            - FAILED
                        assetId:
                          type: string
                        blockchainId:
                          type: string
                        recipient:
                          type: string
                        amount:
                          type: string
                        amountUsd:
                          type: string
                          nullable: true
                        policyId:
                          type: string
                          nullable: true
                        policyEvaluation:
                          type: object
                          nullable: true
                        denialReason:
                          type: string
                          nullable: true
                        waasTxHash:
                          type: string
                          nullable: true
                        idempotencyKey:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        executedAt:
                          type: string
                          format: date-time
                          nullable: true
                  total:
                    type: integer
                  hasMore:
                    type: boolean
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
        '404':
          description: Wallet or asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````